Subject: INFO, Newbie Pain
From: [email-masked] ("Jim Taylor")

22 Oct 1996 06:01:53 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
X-mailer: Pegasus Mail for Win32 (v2.42a)
Original-Sender: [email-masked]

NEWBIE PAIN - INFO

Being a newbie, I wanted to get at the info files
in Cygnus's win32 "c:\cygnus\info\ directory.

No one seemed to have an instant answer as to how
to easily read them so I did the following;

Went to DJGPP's site and got their 
"txi360b.zip" file, aprx. 538Kb.

Unzipped it in an empty spot and got the following 
structure;

C:\DJGPP  <-- Nothing but the sub-directories below here
    |
    |
    |
    \bin = 
    |       info.exe        152Kb
    |       info.inf         35Kb
    |       makeinfo.exe    101Kb
    |       texindex.exe     44Kb
    |       texinfo.j1       51Kb
    |       Moved all the above files to
    |       C:\cygnus\H-i386-cygwin32\bin
    |       
    |       
    \gnu    <-- only the sub-directory below here
    |  |     
    |  |     
    |  \texinfo3.6 =
    |                readme.dj  <-- do read it!
    |       
    |       
    \info =
    |       Whole bunch of files here, 
    |       I moved the whole lot of them
    |       to C:\cygnus\info ( the
    |       release 16 beta).  Will worry
    |       about getting a consolidated
    |       "dir index" into there later.
    |       
    |       
    \manifest =
                txi360b.mft = list of directories/files 
                              in package
                txi360b.ver = "texinfo 3.6 for DJGPP V2"

Once I had moved the files as indicated above I added 
the following set statements to my autoexec.bat 
and rebooted.

set INFO_LINES=43
set INFO_COLORS=0x1e.0x31
set INFOPATH=/cygnus/info/

Once the machine was back up, I dropped to 
DOS, cd'd to c:\bin and issued the command

info -f m4.info

It works!

No doubt there is more to do, but even a
small success in this wilderness of
ignorance and unfamiliarity I am travelling
in is reward enough.

If this is of any use to anyone, I'd like to
hear from you.  If I'm talking only to the
knowledgeable, there's no sense my cluttering
up this mail list with this sort of thing.

PLEASE, WILL SOMEONE tell me, if I use
"DIR > DIRLIST.TXT" in the directory
of c:\cygnus\info to get the directory
into a file.  How can I turn it into
a file called "DIR" that info will show
when I just type "info"?  I believe this
is possible, but I don't quite see how 
to use "makeinfo" or "texindex", or
"whatever?" to do it.  Anyone??

Regards,

Jim Taylor,  ( [email-masked] )
--
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".